rem DESACTIVATION DES SERVICES NON UTILES POUR WINDOWS 10
rem SOURCES: https://www.sia-informatique.com/desactiver-services-inutiles-windows-10/
rem SC | nom_service start= disabled | demand 

rem Configuration des services Bureau à distance 
SC config SessionEnv start= disabled

rem Gestionnaire des connexions automatiques d’accès à distance 
SC config RasAuto start= disabled

rem Gestionnaire des cartes téléchargées 
SC config MapsBroker start= disabled

rem Gestionnaire des connexions d’accès à distance 
SC config RasMan start= disabled

rem Ouverture de session secondaire 
SC config seclogon start= disabled

rem Partage de connexion Internet (ICS) 
SC config SharedAccess start= disabled

rem Programme de mise à jour automatique du fuseau horaire 
SC config tzautoupdate start= disabled

rem Registre à distance 
SC config RemoteRegistry start= disabled

rem Routage et accès distant 
SC config RemoteAccess start= disabled

rem Service de l’Assistant Compatibilité de programmes 
SC config PcaSvc start= disabled

rem Service de géolocalisation 
SC config lfsvc start= disabled

rem Service de biométrie Windows 
SC config WbioSrvc start= disabled

rem Service de partage de ports Net.Tcp 
SC config NetTcpPortSharing start= disabled

rem Service de plateforme des appareils connectés 
SC config CDPSvc start= disabled

rem Service du clavier tactile et du volet d’écriture manuscrite 
SC config TabletInputService start= disabled

rem Service mains libres Bluetooth 
SC config BthHFSrv start= disabled

rem Service Partage réseau du Lecteur Windows Media 
SC config WMPNetworkSvc start= disabled

rem Service téléphonique : Gère l’état de téléphonie de l’appareil
SC config PhoneSvc start= disabled

rem Superfetch : Gère et améliore les performances du système dans le temps. Ce service est inutile si vous avez un disque dur SSD.
SC config SysMain start= disabled

rem Télécopie : Permet d’envoyer et de recevoir des télécopies, d’utiliser les ressources de télécopie disponibles sur cet ordinateur ou le réseau.
SC config nom_service start= disabled

rem Téléphonie 
SC config Fax start= disabled

rem WebClient 
SC config WebClient start= disabled

rem Windows Search 
SC config WSearch start= disabled

rem Carte à puce 
SC config SCardSvr start= disabled

rem Service d’énumération de périphériques de carte à puce 
SC config ScDeviceEnum start= disabled

rem Stratégie de retrait de la carte à puce 
SC config SCPolicySvc start= disabled

rem Gestionnaire d’authentification Xbox Live 
SC config XblAuthManager start= disabled

rem Jeu sauvegardé sur Xbox Live 
SC config XblGameSave start= disabled

rem Service de mise en réseau Xbox Live 
SC config XboxNetApiSvc start= disabled

rem Interface de services d’invité Hyper-V 
SC config vmicguestinterface start= disabled

rem Requête du service VSS Microsoft Hyper-V 
SC config vmicvss start= disabled

rem Service Arrêt de l’invité Microsoft Hyper-V 
SC config nom_service start= disabled

rem Service de session d’ordinateur virtuel Hyper-V 
SC config vmicshutdown start= disabled

rem Service Échange de données Microsoft Hyper-V 
SC config vmickvpexchange start= disabled

rem Service Pulsation Microsoft Hyper-V 
SC config vmicheartbeat start= disabled

rem Service Routeur SMS Microsoft Windows 
SC config SmsRouter start= disabled

rem Service Synchronisation date/heure Microsoft Hyper-V 
SC config vmictimesync start= disabled


rem ----------------------------------------------------------------------------------------
rem Services à mettre en manuels

timeout /T 1
rem Assistance IP 
SC config iphlpsvc start= demand

rem Client de suivi de lien distribué 
SC config TrkWks start= demand

rem Fichiers hors connexion 
SC config CscService start= demand

rem Modules de génération de clés IKE et AuthIP 
SC config IKEEXT start= demand

rem Service Collecteur standard du concentrateur de diagnostic Microsoft (R) 
SC config nom_service start= demand

rem Service de rapport d’erreurs Windows 
SC config diagnosticshub.standardcollector.service start= demand

rem Service de stratégie de diagnostic 
SC config DPS start= demand

rem Service hôte WDIServiceHost 
SC config WdiServiceHost start= demand

@REM *** Disable Cortana & Telemetry ***
REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Windows Search" /f
REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Windows Search" /V AllowCortana /T REG_DWORD /D 0 /F



@rem *** Disable Some Service ***
sc stop DiagTrack
sc stop diagnosticshub.standardcollector.service
sc stop dmwappushservice
sc stop WMPNetworkSvc
sc stop WSearch

sc config DiagTrack start= disabled
sc config diagnosticshub.standardcollector.service start= disabled
sc config dmwappushservice start= disabled
REM sc config RemoteRegistry start= disabled
REM sc config TrkWks start= disabled
sc config WMPNetworkSvc start= disabled
sc config WSearch start= disabled
REM sc config SysMain start= disabled

REM *** SCHEDULED TASKS tweaks ***
REM schtasks /Change /TN "Microsoft\Windows\AppID\SmartScreenSpecific" /Disable
schtasks /Change /TN "Microsoft\Windows\Application Experience\Microsoft Compatibility Appraiser" /Disable
schtasks /Change /TN "Microsoft\Windows\Application Experience\ProgramDataUpdater" /Disable
schtasks /Change /TN "Microsoft\Windows\Application Experience\StartupAppTask" /Disable
schtasks /Change /TN "Microsoft\Windows\Customer Experience Improvement Program\Consolidator" /Disable
schtasks /Change /TN "Microsoft\Windows\Customer Experience Improvement Program\KernelCeipTask" /Disable
schtasks /Change /TN "Microsoft\Windows\Customer Experience Improvement Program\UsbCeip" /Disable
schtasks /Change /TN "Microsoft\Windows\Customer Experience Improvement Program\Uploader" /Disable
schtasks /Change /TN "Microsoft\Windows\Shell\FamilySafetyUpload" /Disable
schtasks /Change /TN "Microsoft\Office\OfficeTelemetryAgentLogOn" /Disable
schtasks /Change /TN "Microsoft\Office\OfficeTelemetryAgentFallBack" /Disable
schtasks /Change /TN "Microsoft\Office\Office 15 Subscription Heartbeat" /Disable

REM schtasks /Change /TN "Microsoft\Windows\Autochk\Proxy" /Disable
REM schtasks /Change /TN "Microsoft\Windows\CloudExperienceHost\CreateObjectTask" /Disable
REM schtasks /Change /TN "Microsoft\Windows\DiskDiagnostic\Microsoft-Windows-DiskDiagnosticDataCollector" /Disable
REM schtasks /Change /TN "Microsoft\Windows\DiskFootprint\Diagnostics" /Disable *** Not sure if should be disabled, maybe related to S.M.A.R.T.
REM schtasks /Change /TN "Microsoft\Windows\FileHistory\File History (maintenance mode)" /Disable
REM schtasks /Change /TN "Microsoft\Windows\Maintenance\WinSAT" /Disable
REM schtasks /Change /TN "Microsoft\Windows\NetTrace\GatherNetworkInfo" /Disable
REM schtasks /Change /TN "Microsoft\Windows\PI\Sqm-Tasks" /Disable
REM The stubborn task Microsoft\Windows\SettingSync\BackgroundUploadTask can be Disabled using a simple bit change. I use a REG file for that (attached to this post).
REM schtasks /Change /TN "Microsoft\Windows\Time Synchronization\ForceSynchronizeTime" /Disable
REM schtasks /Change /TN "Microsoft\Windows\Time Synchronization\SynchronizeTime" /Disable
REM schtasks /Change /TN "Microsoft\Windows\Windows Error Reporting\QueueReporting" /Disable
REM schtasks /Change /TN "Microsoft\Windows\WindowsUpdate\Automatic App Update" /Disable

@rem *** Remove Telemetry & Data Collection ***
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Device Metadata" /v PreventDeviceMetadataFromNetwork /t REG_DWORD /d 1 /f
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\DataCollection" /v "AllowTelemetry" /t REG_DWORD /d 0 /f
reg add "HKLM\SOFTWARE\Policies\Microsoft\MRT" /v DontOfferThroughWUAU /t REG_DWORD /d 1 /f
reg add "HKLM\SOFTWARE\Policies\Microsoft\SQMClient\Windows" /v "CEIPEnable" /t REG_DWORD /d 0 /f
reg add "HKLM\SOFTWARE\Policies\Microsoft\Windows\AppCompat" /v "AITEnable" /t REG_DWORD /d 0 /f
reg add "HKLM\SOFTWARE\Policies\Microsoft\Windows\AppCompat" /v "DisableUAR" /t REG_DWORD /d 1 /f
reg add "HKLM\SOFTWARE\Policies\Microsoft\Windows\DataCollection" /v "AllowTelemetry" /t REG_DWORD /d 0 /f
reg add "HKLM\SYSTEM\CurrentControlSet\Control\WMI\AutoLogger\AutoLogger-Diagtrack-Listener" /v "Start" /t REG_DWORD /d 0 /f
reg add "HKLM\SYSTEM\CurrentControlSet\Control\WMI\AutoLogger\SQMLogger" /v "Start" /t REG_DWORD /d 0 /f

@REM Settings -> Privacy -> General -> Let apps use my advertising ID...
reg add "HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\AdvertisingInfo" /v Enabled /t REG_DWORD /d 0 /f
REM - SmartScreen Filter for Store Apps: Disable
reg add "HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\AppHost" /v EnableWebContentEvaluation /t REG_DWORD /d 0 /f
REM - Let websites provide locally...
reg add "HKCU\Control Panel\International\User Profile" /v HttpAcceptLanguageOptOut /t REG_DWORD /d 1 /f

@REM WiFi Sense: HotSpot Sharing: Disable
reg add "HKLM\Software\Microsoft\PolicyManager\default\WiFi\AllowWiFiHotSpotReporting" /v value /t REG_DWORD /d 0 /f
@REM WiFi Sense: Shared HotSpot Auto-Connect: Disable
reg add "HKLM\Software\Microsoft\PolicyManager\default\WiFi\AllowAutoConnectToWiFiSenseHotspots" /v value /t REG_DWORD /d 0 /f

@REM Change Windows Updates to "Notify to schedule restart"
reg add "HKLM\SOFTWARE\Microsoft\WindowsUpdate\UX\Settings" /v UxOption /t REG_DWORD /d 1 /f
@REM Disable P2P Update downlods outside of local network
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\DeliveryOptimization\Config" /v DODownloadMode /t REG_DWORD /d 0 /f



REM *** Hide the search box from taskbar. You can still search by pressing the Win key and start typing what you're looking for ***
REM 0 = hide completely, 1 = show only icon, 2 = show long search box
reg add "HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Search" /v "SearchboxTaskbarMode" /t REG_DWORD /d 0 /f

REM *** Disable MRU lists (jump lists) of XAML apps in Start Menu ***
reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "Start_TrackDocs" /t REG_DWORD /d 0 /f

REM *** Set Windows Explorer to start on This PC instead of Quick Access ***
REM 1 = This PC, 2 = Quick access
REM reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "LaunchTo" /t REG_DWORD /d 1 /f

REM *** Disable Suggestions in the Start Menu ***
reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "SystemPaneSuggestionsEnabled" /t REG_DWORD /d 0 /f 

rem https://gist.github.com/JosiahSiegel/269bf67f295033e5f85ed008831f5b02#file-remove_win_bloatware-bat

PowerShell -Command "Get-AppxPackage *3DBuilder* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *Getstarted* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *WindowsAlarms* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *WindowsCamera* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *bing* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *OneNote* | Remove-AppxPackage"
rem PowerShell -Command "Get-AppxPackage *people* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *WindowsPhone* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *SkypeApp* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *WindowsSoundRecorder* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *windowscommunicationsapps* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *zune* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *Sway* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *CommsPhone* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *ConnectivityStore* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *Microsoft.Messaging* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *Facebook* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *Twitter* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *Drawboard PDF* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage *XboxApp* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Flipboard.Flipboard* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *A97ECD55.KYOCERAPrintCenter* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *TheNewYorkTimes.NYTCrossword* | Remove-AppxPackage"
rem PowerShell -Command "Get-AppxPackage -Name *Windows.CBSPreview* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.ZuneVideo* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.Microsoftskydrive* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.Messaging* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.People* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.ZuneMusic* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.Windows.Photos* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.SkypeApp* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.3DBuilder* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.BingWeather* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.MicrosoftOfficeHub* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.MicrosoftSolitaireCollection* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.MSPaint* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.OneConnect* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.People* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.Print3D* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.Wallet* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.WindowsCamera* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.WindowsFeedbackHub* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.WindowsSoundRecorder* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.Xbox.TCUI* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.XboxApp* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.XboxGameOverlay* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.XboxGamingOverlay* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.XboxIdentityProvider* | Remove-AppxPackage"
PowerShell -Command "Get-AppxPackage -Name *Microsoft.XboxSpeechToTextOverlay* | Remove-AppxPackage"



@rem NOW JUST SOME TWEAKS
REM *** Show hidden files in Explorer ***
reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "Hidden" /t REG_DWORD /d 1 /f
 
REM *** Show super hidden system files in Explorer ***
reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "ShowSuperHidden" /t REG_DWORD /d 1 /f

REM *** Show file extensions in Explorer ***
reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "HideFileExt" /t  REG_DWORD /d 0 /f
